XC(3)

PACKAGE
xc - Routines to manipulate X displays and colourmaps

PURPOSE
These routines are meant to provide an abstracted interface to X displays and colourmaps, used in the <-kcmap-> routines.

LIBRARY
karmaX11

LINK WITH
-lkarmaX11

FUNCTIONS

xc_get_dpy_handle
    Generate a display handle for later use.

xc_alloc_colours
    Allocate colourcells.

xc_free_colours
    Free a number of colourcells in a low level colourmap.

xc_store_colours
    Store colours into a low level colourmap.

xc_get_location2
    Determine the location of the graphics display being used.

xc_get_cmap
    Get the X11 colourmap for a display handle.

xc_free_handle
    Free a display handle.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/